#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 152
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 57
#define ALIAS_COUNT 2
#define TOKEN_COUNT 28
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 4
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 8

enum ts_symbol_identifiers {
  anon_sym_PERCENT_LBRACK = 1,
  aux_sym_intent_def_token1 = 2,
  anon_sym_RBRACK = 3,
  anon_sym_AT_LBRACK = 4,
  aux_sym_slot_def_token1 = 5,
  anon_sym_TILDE_LBRACK = 6,
  anon_sym_import = 7,
  aux_sym_import_token1 = 8,
  aux_sym_comment_token1 = 9,
  anon_sym_QMARK = 10,
  aux_sym_word_token1 = 11,
  anon_sym_POUND = 12,
  anon_sym_STAR_LBRACK = 13,
  anon_sym_PERCENT = 14,
  sym_number = 15,
  anon_sym_LPAREN = 16,
  anon_sym_COMMA = 17,
  anon_sym_RPAREN = 18,
  anon_sym_COLON = 19,
  anon_sym_DQUOTE = 20,
  aux_sym_string_token1 = 21,
  anon_sym_SQUOTE = 22,
  aux_sym_string_token2 = 23,
  sym_escape = 24,
  sym__eol = 25,
  anon_sym_ = 26,
  sym__space = 27,
  sym_source = 28,
  sym__definition = 29,
  sym_intent_def = 30,
  sym_slot_def = 31,
  sym_alias_def = 32,
  sym_import = 33,
  sym_comment = 34,
  sym_intent_body = 35,
  sym_slot_body = 36,
  sym_alias_body = 37,
  sym_slot_ref = 38,
  sym_alias_ref = 39,
  sym_word = 40,
  sym_variation = 41,
  sym_probability = 42,
  sym_arguments = 43,
  sym_argument = 44,
  sym_string = 45,
  sym__indent = 46,
  aux_sym_source_repeat1 = 47,
  aux_sym_intent_body_repeat1 = 48,
  aux_sym_intent_body_repeat2 = 49,
  aux_sym_slot_body_repeat1 = 50,
  aux_sym_slot_body_repeat2 = 51,
  aux_sym_alias_body_repeat1 = 52,
  aux_sym_word_repeat1 = 53,
  aux_sym_arguments_repeat1 = 54,
  aux_sym_string_repeat1 = 55,
  aux_sym_string_repeat2 = 56,
  alias_sym_intent = 57,
  alias_sym_slot = 58,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_PERCENT_LBRACK] = "%[",
  [aux_sym_intent_def_token1] = "alias",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT_LBRACK] = "@[",
  [aux_sym_slot_def_token1] = "slot_def_token1",
  [anon_sym_TILDE_LBRACK] = "~[",
  [anon_sym_import] = "import",
  [aux_sym_import_token1] = "file",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_QMARK] = "\?",
  [aux_sym_word_token1] = "word_token1",
  [anon_sym_POUND] = "#",
  [anon_sym_STAR_LBRACK] = "*[",
  [anon_sym_PERCENT] = "%",
  [sym_number] = "number",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape] = "escape",
  [sym__eol] = "_eol",
  [anon_sym_] = "    ",
  [sym__space] = "_space",
  [sym_source] = "source",
  [sym__definition] = "_definition",
  [sym_intent_def] = "intent_def",
  [sym_slot_def] = "slot_def",
  [sym_alias_def] = "alias_def",
  [sym_import] = "import",
  [sym_comment] = "comment",
  [sym_intent_body] = "intent_body",
  [sym_slot_body] = "slot_body",
  [sym_alias_body] = "alias_body",
  [sym_slot_ref] = "slot_ref",
  [sym_alias_ref] = "alias_ref",
  [sym_word] = "word",
  [sym_variation] = "variation",
  [sym_probability] = "probability",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_string] = "string",
  [sym__indent] = "_indent",
  [aux_sym_source_repeat1] = "source_repeat1",
  [aux_sym_intent_body_repeat1] = "intent_body_repeat1",
  [aux_sym_intent_body_repeat2] = "intent_body_repeat2",
  [aux_sym_slot_body_repeat1] = "slot_body_repeat1",
  [aux_sym_slot_body_repeat2] = "slot_body_repeat2",
  [aux_sym_alias_body_repeat1] = "alias_body_repeat1",
  [aux_sym_word_repeat1] = "word_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [alias_sym_intent] = "intent",
  [alias_sym_slot] = "slot",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_PERCENT_LBRACK] = anon_sym_PERCENT_LBRACK,
  [aux_sym_intent_def_token1] = aux_sym_intent_def_token1,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT_LBRACK] = anon_sym_AT_LBRACK,
  [aux_sym_slot_def_token1] = aux_sym_slot_def_token1,
  [anon_sym_TILDE_LBRACK] = anon_sym_TILDE_LBRACK,
  [anon_sym_import] = anon_sym_import,
  [aux_sym_import_token1] = aux_sym_import_token1,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [aux_sym_word_token1] = aux_sym_word_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_STAR_LBRACK] = anon_sym_STAR_LBRACK,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [sym_number] = sym_number,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape] = sym_escape,
  [sym__eol] = sym__eol,
  [anon_sym_] = anon_sym_,
  [sym__space] = sym__space,
  [sym_source] = sym_source,
  [sym__definition] = sym__definition,
  [sym_intent_def] = sym_intent_def,
  [sym_slot_def] = sym_slot_def,
  [sym_alias_def] = sym_alias_def,
  [sym_import] = sym_import,
  [sym_comment] = sym_comment,
  [sym_intent_body] = sym_intent_body,
  [sym_slot_body] = sym_slot_body,
  [sym_alias_body] = sym_alias_body,
  [sym_slot_ref] = sym_slot_ref,
  [sym_alias_ref] = sym_alias_ref,
  [sym_word] = sym_word,
  [sym_variation] = sym_variation,
  [sym_probability] = sym_probability,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_string] = sym_string,
  [sym__indent] = sym__indent,
  [aux_sym_source_repeat1] = aux_sym_source_repeat1,
  [aux_sym_intent_body_repeat1] = aux_sym_intent_body_repeat1,
  [aux_sym_intent_body_repeat2] = aux_sym_intent_body_repeat2,
  [aux_sym_slot_body_repeat1] = aux_sym_slot_body_repeat1,
  [aux_sym_slot_body_repeat2] = aux_sym_slot_body_repeat2,
  [aux_sym_alias_body_repeat1] = aux_sym_alias_body_repeat1,
  [aux_sym_word_repeat1] = aux_sym_word_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [alias_sym_intent] = alias_sym_intent,
  [alias_sym_slot] = alias_sym_slot,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_PERCENT_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_intent_def_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_slot_def_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_TILDE_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_import_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_word_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape] = {
    .visible = true,
    .named = true,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = false,
  },
  [sym__space] = {
    .visible = false,
    .named = true,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym__definition] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_intent_def] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_def] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_def] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_intent_body] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_body] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_body] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [sym_variation] = {
    .visible = true,
    .named = true,
  },
  [sym_probability] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intent_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intent_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slot_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slot_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alias_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_word_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_intent] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_slot] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_content = 1,
  field_id = 2,
  field_key = 3,
  field_value = 4,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_content] = "content",
  [field_id] = "id",
  [field_key] = "key",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_id, 1},
  [1] =
    {field_content, 1},
  [2] =
    {field_key, 0},
    {field_value, 2},
  [4] =
    {field_key, 0},
    {field_value, 3},
  [6] =
    {field_key, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [1] = alias_sym_intent,
  },
  [3] = {
    [1] = alias_sym_slot,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 42,
  [52] = 41,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 46,
  [88] = 49,
  [89] = 89,
  [90] = 86,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 84,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 111,
  [115] = 112,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 125,
  [148] = 127,
  [149] = 134,
  [150] = 137,
  [151] = 151,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '\n', 63,
        '\r', 57,
        ' ', 56,
        '"', 55,
        '#', 45,
        '%', 47,
        '\'', 59,
        '(', 51,
        ')', 53,
        ',', 52,
        ':', 54,
        '?', 40,
        ']', 33,
        '\t', 56,
        0x0b, 56,
        '\f', 56,
      );
      if (lookahead != 0) ADVANCE(41);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(63);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 63,
        '\r', 1,
        ' ', 65,
        '"', 55,
        '#', 45,
        '%', 47,
        '\'', 59,
        '(', 51,
        ')', 53,
        ',', 52,
        ':', 54,
        '?', 40,
        ']', 33,
      );
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(63);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(65);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(63);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(65);
      if (lookahead == '@') ADVANCE(42);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(63);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == ' ') ADVANCE(65);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(64);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(65);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(41);
      END_STATE();
    case 8:
      if (lookahead == ' ') ADVANCE(6);
      END_STATE();
    case 9:
      if (lookahead == ' ') ADVANCE(8);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(56);
      END_STATE();
    case 11:
      if (lookahead == '\'') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == '/') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == '[') ADVANCE(31);
      END_STATE();
    case 14:
      if (lookahead == '[') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == '[') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'm') ADVANCE(18);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 18:
      if (lookahead == 'p') ADVANCE(17);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(22);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(23);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(35);
      END_STATE();
    case 27:
      if (lookahead != 0 &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(32);
      END_STATE();
    case 28:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(38);
      END_STATE();
    case 29:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '\n', 63,
        '\r', 1,
        ' ', 9,
        '"', 55,
        '#', 39,
        '%', 13,
        '\'', 59,
        '(', 51,
        ')', 53,
        ',', 52,
        '/', 12,
        '0', 48,
        ':', 54,
        '?', 40,
        '@', 14,
        ']', 33,
        'i', 16,
        '~', 15,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PERCENT_LBRACK);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(aux_sym_intent_def_token1);
      if (lookahead != 0 &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(32);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AT_LBRACK);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(aux_sym_slot_def_token1);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '?' &&
          lookahead != ']') ADVANCE(35);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_TILDE_LBRACK);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(aux_sym_import_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(38);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(aux_sym_word_token1);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(34);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(36);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(aux_sym_word_token1);
      if (lookahead == '[') ADVANCE(46);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_STAR_LBRACK);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(49);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(63);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_string_token1);
      ADVANCE_MAP(
        'u', 25,
        '"', 62,
        '\'', 62,
        '\\', 62,
        'b', 62,
        'f', 62,
        'n', 62,
        'r', 62,
        't', 62,
        'v', 62,
      );
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_string_token2);
      ADVANCE_MAP(
        'u', 25,
        '"', 62,
        '\'', 62,
        '\\', 62,
        'b', 62,
        'f', 62,
        'n', 62,
        'r', 62,
        't', 62,
        'v', 62,
      );
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_escape);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym__eol);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym__space);
      if (lookahead == ' ') ADVANCE(65);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 29},
  [2] = {.lex_state = 29},
  [3] = {.lex_state = 29},
  [4] = {.lex_state = 3},
  [5] = {.lex_state = 29},
  [6] = {.lex_state = 29},
  [7] = {.lex_state = 29},
  [8] = {.lex_state = 29},
  [9] = {.lex_state = 4},
  [10] = {.lex_state = 29},
  [11] = {.lex_state = 4},
  [12] = {.lex_state = 29},
  [13] = {.lex_state = 4},
  [14] = {.lex_state = 4},
  [15] = {.lex_state = 4},
  [16] = {.lex_state = 4},
  [17] = {.lex_state = 7},
  [18] = {.lex_state = 29},
  [19] = {.lex_state = 5},
  [20] = {.lex_state = 5},
  [21] = {.lex_state = 29},
  [22] = {.lex_state = 5},
  [23] = {.lex_state = 29},
  [24] = {.lex_state = 29},
  [25] = {.lex_state = 29},
  [26] = {.lex_state = 29},
  [27] = {.lex_state = 29},
  [28] = {.lex_state = 29},
  [29] = {.lex_state = 29},
  [30] = {.lex_state = 29},
  [31] = {.lex_state = 29},
  [32] = {.lex_state = 29},
  [33] = {.lex_state = 29},
  [34] = {.lex_state = 29},
  [35] = {.lex_state = 29},
  [36] = {.lex_state = 29},
  [37] = {.lex_state = 5},
  [38] = {.lex_state = 29},
  [39] = {.lex_state = 29},
  [40] = {.lex_state = 29},
  [41] = {.lex_state = 4},
  [42] = {.lex_state = 4},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 4},
  [47] = {.lex_state = 4},
  [48] = {.lex_state = 4},
  [49] = {.lex_state = 4},
  [50] = {.lex_state = 4},
  [51] = {.lex_state = 5},
  [52] = {.lex_state = 5},
  [53] = {.lex_state = 29},
  [54] = {.lex_state = 29},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 10},
  [58] = {.lex_state = 11},
  [59] = {.lex_state = 2},
  [60] = {.lex_state = 2},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 29},
  [64] = {.lex_state = 29},
  [65] = {.lex_state = 29},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 29},
  [68] = {.lex_state = 29},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 10},
  [71] = {.lex_state = 11},
  [72] = {.lex_state = 2},
  [73] = {.lex_state = 29},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 2},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 11},
  [79] = {.lex_state = 29},
  [80] = {.lex_state = 2},
  [81] = {.lex_state = 29},
  [82] = {.lex_state = 29},
  [83] = {.lex_state = 29},
  [84] = {.lex_state = 4},
  [85] = {.lex_state = 29},
  [86] = {.lex_state = 4},
  [87] = {.lex_state = 5},
  [88] = {.lex_state = 5},
  [89] = {.lex_state = 10},
  [90] = {.lex_state = 5},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 29},
  [93] = {.lex_state = 29},
  [94] = {.lex_state = 2},
  [95] = {.lex_state = 29},
  [96] = {.lex_state = 29},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 29},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 2},
  [103] = {.lex_state = 29},
  [104] = {.lex_state = 5},
  [105] = {.lex_state = 29},
  [106] = {.lex_state = 3},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 29},
  [109] = {.lex_state = 29},
  [110] = {.lex_state = 29},
  [111] = {.lex_state = 29},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 29},
  [114] = {.lex_state = 29},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 3},
  [117] = {.lex_state = 29},
  [118] = {.lex_state = 29},
  [119] = {.lex_state = 29},
  [120] = {.lex_state = 29},
  [121] = {.lex_state = 29},
  [122] = {.lex_state = 29},
  [123] = {.lex_state = 27},
  [124] = {.lex_state = 29},
  [125] = {.lex_state = 29},
  [126] = {.lex_state = 26},
  [127] = {.lex_state = 29},
  [128] = {.lex_state = 29},
  [129] = {.lex_state = 29},
  [130] = {.lex_state = 28},
  [131] = {.lex_state = 29},
  [132] = {.lex_state = 29},
  [133] = {.lex_state = 29},
  [134] = {.lex_state = 27},
  [135] = {.lex_state = 29},
  [136] = {.lex_state = 29},
  [137] = {.lex_state = 29},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 27},
  [140] = {.lex_state = 29},
  [141] = {.lex_state = 29},
  [142] = {.lex_state = 29},
  [143] = {.lex_state = 29},
  [144] = {.lex_state = 29},
  [145] = {.lex_state = 29},
  [146] = {.lex_state = 26},
  [147] = {.lex_state = 29},
  [148] = {.lex_state = 29},
  [149] = {.lex_state = 27},
  [150] = {.lex_state = 29},
  [151] = {.lex_state = 26},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [aux_sym_word_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [sym__eol] = ACTIONS(1),
    [sym__space] = ACTIONS(1),
  },
  [1] = {
    [sym_source] = STATE(138),
    [sym__definition] = STATE(2),
    [sym_intent_def] = STATE(27),
    [sym_slot_def] = STATE(27),
    [sym_alias_def] = STATE(27),
    [sym_import] = STATE(2),
    [sym_comment] = STATE(2),
    [aux_sym_source_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(3),
    [anon_sym_PERCENT_LBRACK] = ACTIONS(5),
    [anon_sym_AT_LBRACK] = ACTIONS(7),
    [anon_sym_TILDE_LBRACK] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [aux_sym_comment_token1] = ACTIONS(13),
    [sym__eol] = ACTIONS(15),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 9,
    ACTIONS(5), 1,
      anon_sym_PERCENT_LBRACK,
    ACTIONS(7), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(9), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      aux_sym_comment_token1,
    ACTIONS(17), 1,
      ts_builtin_sym_end,
    ACTIONS(19), 1,
      sym__eol,
    STATE(27), 3,
      sym_intent_def,
      sym_slot_def,
      sym_alias_def,
    STATE(3), 4,
      sym__definition,
      sym_import,
      sym_comment,
      aux_sym_source_repeat1,
  [33] = 9,
    ACTIONS(21), 1,
      ts_builtin_sym_end,
    ACTIONS(23), 1,
      anon_sym_PERCENT_LBRACK,
    ACTIONS(26), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(29), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(32), 1,
      anon_sym_import,
    ACTIONS(35), 1,
      aux_sym_comment_token1,
    ACTIONS(38), 1,
      sym__eol,
    STATE(27), 3,
      sym_intent_def,
      sym_slot_def,
      sym_alias_def,
    STATE(3), 4,
      sym__definition,
      sym_import,
      sym_comment,
      aux_sym_source_repeat1,
  [66] = 8,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(47), 1,
      anon_sym_STAR_LBRACK,
    ACTIONS(49), 1,
      sym__space,
    STATE(16), 1,
      sym_probability,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(9), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [94] = 4,
    ACTIONS(53), 1,
      anon_sym_,
    STATE(4), 1,
      sym__indent,
    STATE(6), 1,
      aux_sym_intent_body_repeat2,
    ACTIONS(51), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [113] = 4,
    ACTIONS(57), 1,
      anon_sym_,
    STATE(4), 1,
      sym__indent,
    STATE(6), 1,
      aux_sym_intent_body_repeat2,
    ACTIONS(55), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [132] = 4,
    ACTIONS(62), 1,
      anon_sym_,
    STATE(10), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    ACTIONS(60), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [151] = 4,
    ACTIONS(66), 1,
      anon_sym_,
    STATE(12), 1,
      aux_sym_alias_body_repeat1,
    STATE(15), 1,
      sym__indent,
    ACTIONS(64), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [170] = 7,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(68), 1,
      sym__eol,
    ACTIONS(70), 1,
      sym__space,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(13), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [195] = 4,
    ACTIONS(74), 1,
      anon_sym_,
    STATE(10), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    ACTIONS(72), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [214] = 7,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(70), 1,
      sym__space,
    ACTIONS(77), 1,
      sym__eol,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(13), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [239] = 4,
    ACTIONS(81), 1,
      anon_sym_,
    STATE(12), 1,
      aux_sym_alias_body_repeat1,
    STATE(15), 1,
      sym__indent,
    ACTIONS(79), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [258] = 7,
    ACTIONS(84), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(87), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(90), 1,
      aux_sym_word_token1,
    ACTIONS(93), 1,
      sym__eol,
    ACTIONS(95), 1,
      sym__space,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(13), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [283] = 7,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(70), 1,
      sym__space,
    ACTIONS(98), 1,
      sym__eol,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(13), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [308] = 6,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(100), 1,
      sym__space,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(11), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [330] = 6,
    ACTIONS(41), 1,
      anon_sym_AT_LBRACK,
    ACTIONS(43), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(45), 1,
      aux_sym_word_token1,
    ACTIONS(102), 1,
      sym__space,
    STATE(42), 1,
      aux_sym_word_repeat1,
    STATE(14), 4,
      sym_slot_ref,
      sym_alias_ref,
      sym_word,
      aux_sym_intent_body_repeat1,
  [352] = 7,
    ACTIONS(104), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(106), 1,
      aux_sym_word_token1,
    ACTIONS(108), 1,
      anon_sym_STAR_LBRACK,
    ACTIONS(110), 1,
      sym__space,
    STATE(37), 1,
      sym_probability,
    STATE(51), 1,
      aux_sym_word_repeat1,
    STATE(19), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [376] = 1,
    ACTIONS(112), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [387] = 6,
    ACTIONS(104), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(106), 1,
      aux_sym_word_token1,
    ACTIONS(114), 1,
      sym__eol,
    ACTIONS(116), 1,
      sym__space,
    STATE(51), 1,
      aux_sym_word_repeat1,
    STATE(22), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [408] = 6,
    ACTIONS(104), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(106), 1,
      aux_sym_word_token1,
    ACTIONS(116), 1,
      sym__space,
    ACTIONS(118), 1,
      sym__eol,
    STATE(51), 1,
      aux_sym_word_repeat1,
    STATE(22), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [429] = 1,
    ACTIONS(120), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [440] = 6,
    ACTIONS(122), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(125), 1,
      aux_sym_word_token1,
    ACTIONS(128), 1,
      sym__eol,
    ACTIONS(130), 1,
      sym__space,
    STATE(51), 1,
      aux_sym_word_repeat1,
    STATE(22), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [461] = 1,
    ACTIONS(133), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [472] = 1,
    ACTIONS(135), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [483] = 1,
    ACTIONS(137), 8,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
      anon_sym_,
  [494] = 1,
    ACTIONS(139), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [504] = 1,
    ACTIONS(141), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [514] = 1,
    ACTIONS(143), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [524] = 1,
    ACTIONS(145), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [534] = 1,
    ACTIONS(147), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [544] = 1,
    ACTIONS(149), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [554] = 1,
    ACTIONS(151), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [564] = 1,
    ACTIONS(153), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [574] = 1,
    ACTIONS(155), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [584] = 1,
    ACTIONS(157), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [594] = 1,
    ACTIONS(159), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [604] = 5,
    ACTIONS(104), 1,
      anon_sym_TILDE_LBRACK,
    ACTIONS(106), 1,
      aux_sym_word_token1,
    ACTIONS(161), 1,
      sym__space,
    STATE(51), 1,
      aux_sym_word_repeat1,
    STATE(20), 3,
      sym_alias_ref,
      sym_word,
      aux_sym_slot_body_repeat1,
  [622] = 1,
    ACTIONS(163), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [632] = 1,
    ACTIONS(165), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [642] = 1,
    ACTIONS(167), 7,
      ts_builtin_sym_end,
      anon_sym_PERCENT_LBRACK,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      anon_sym_import,
      aux_sym_comment_token1,
      sym__eol,
  [652] = 3,
    ACTIONS(171), 1,
      aux_sym_word_token1,
    STATE(41), 1,
      aux_sym_word_repeat1,
    ACTIONS(169), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [665] = 3,
    ACTIONS(176), 1,
      aux_sym_word_token1,
    STATE(41), 1,
      aux_sym_word_repeat1,
    ACTIONS(174), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [678] = 5,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    ACTIONS(182), 1,
      sym__space,
    STATE(91), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [694] = 5,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    ACTIONS(184), 1,
      sym__space,
    STATE(97), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [710] = 5,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    ACTIONS(186), 1,
      sym__space,
    STATE(80), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [726] = 2,
    ACTIONS(190), 1,
      aux_sym_word_token1,
    ACTIONS(188), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [736] = 2,
    ACTIONS(194), 1,
      aux_sym_word_token1,
    ACTIONS(192), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [746] = 2,
    ACTIONS(198), 1,
      aux_sym_word_token1,
    ACTIONS(196), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [756] = 2,
    ACTIONS(202), 1,
      aux_sym_word_token1,
    ACTIONS(200), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [766] = 2,
    ACTIONS(206), 1,
      aux_sym_word_token1,
    ACTIONS(204), 4,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [776] = 3,
    ACTIONS(208), 1,
      aux_sym_word_token1,
    STATE(52), 1,
      aux_sym_word_repeat1,
    ACTIONS(174), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [788] = 3,
    ACTIONS(210), 1,
      aux_sym_word_token1,
    STATE(52), 1,
      aux_sym_word_repeat1,
    ACTIONS(169), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [800] = 4,
    ACTIONS(53), 1,
      anon_sym_,
    STATE(4), 1,
      sym__indent,
    STATE(5), 1,
      aux_sym_intent_body_repeat2,
    STATE(29), 1,
      sym_intent_body,
  [813] = 4,
    ACTIONS(66), 1,
      anon_sym_,
    STATE(8), 1,
      aux_sym_alias_body_repeat1,
    STATE(15), 1,
      sym__indent,
    STATE(30), 1,
      sym_alias_body,
  [826] = 4,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(215), 1,
      sym__eol,
    ACTIONS(217), 1,
      sym__space,
    STATE(119), 1,
      sym_arguments,
  [839] = 1,
    ACTIONS(219), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      sym__space,
  [846] = 4,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      aux_sym_string_token1,
    ACTIONS(225), 1,
      sym_escape,
    STATE(70), 1,
      aux_sym_string_repeat1,
  [859] = 4,
    ACTIONS(221), 1,
      anon_sym_SQUOTE,
    ACTIONS(227), 1,
      aux_sym_string_token2,
    ACTIONS(229), 1,
      sym_escape,
    STATE(71), 1,
      aux_sym_string_repeat2,
  [872] = 4,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(233), 1,
      anon_sym_RPAREN,
    ACTIONS(235), 1,
      sym__space,
    STATE(72), 1,
      aux_sym_arguments_repeat1,
  [885] = 4,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(233), 1,
      anon_sym_RPAREN,
    ACTIONS(235), 1,
      sym__space,
    STATE(74), 1,
      aux_sym_arguments_repeat1,
  [898] = 4,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      sym__space,
    STATE(94), 1,
      sym_string,
  [911] = 4,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(239), 1,
      sym__eol,
    ACTIONS(241), 1,
      sym__space,
    STATE(133), 1,
      sym_arguments,
  [924] = 4,
    ACTIONS(53), 1,
      anon_sym_,
    STATE(4), 1,
      sym__indent,
    STATE(5), 1,
      aux_sym_intent_body_repeat2,
    STATE(34), 1,
      sym_intent_body,
  [937] = 4,
    ACTIONS(62), 1,
      anon_sym_,
    STATE(7), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    STATE(32), 1,
      sym_slot_body,
  [950] = 4,
    ACTIONS(62), 1,
      anon_sym_,
    STATE(7), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    STATE(36), 1,
      sym_slot_body,
  [963] = 4,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(243), 1,
      sym__eol,
    ACTIONS(245), 1,
      sym__space,
    STATE(136), 1,
      sym_arguments,
  [976] = 4,
    ACTIONS(66), 1,
      anon_sym_,
    STATE(8), 1,
      aux_sym_alias_body_repeat1,
    STATE(15), 1,
      sym__indent,
    STATE(35), 1,
      sym_alias_body,
  [989] = 4,
    ACTIONS(66), 1,
      anon_sym_,
    STATE(8), 1,
      aux_sym_alias_body_repeat1,
    STATE(15), 1,
      sym__indent,
    STATE(26), 1,
      sym_alias_body,
  [1002] = 1,
    ACTIONS(247), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      sym__space,
  [1009] = 4,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      aux_sym_string_token1,
    ACTIONS(254), 1,
      sym_escape,
    STATE(70), 1,
      aux_sym_string_repeat1,
  [1022] = 4,
    ACTIONS(257), 1,
      anon_sym_SQUOTE,
    ACTIONS(259), 1,
      aux_sym_string_token2,
    ACTIONS(262), 1,
      sym_escape,
    STATE(71), 1,
      aux_sym_string_repeat2,
  [1035] = 4,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(265), 1,
      anon_sym_RPAREN,
    ACTIONS(267), 1,
      sym__space,
    STATE(74), 1,
      aux_sym_arguments_repeat1,
  [1048] = 4,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    STATE(97), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1061] = 4,
    ACTIONS(269), 1,
      anon_sym_COMMA,
    ACTIONS(272), 1,
      anon_sym_RPAREN,
    ACTIONS(274), 1,
      sym__space,
    STATE(74), 1,
      aux_sym_arguments_repeat1,
  [1074] = 4,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    ACTIONS(277), 1,
      sym__space,
    STATE(98), 1,
      sym_string,
  [1087] = 4,
    ACTIONS(279), 1,
      anon_sym_RBRACK,
    ACTIONS(281), 1,
      anon_sym_QMARK,
    ACTIONS(283), 1,
      anon_sym_POUND,
    STATE(110), 1,
      sym_variation,
  [1100] = 4,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(285), 1,
      sym__eol,
    ACTIONS(287), 1,
      sym__space,
    STATE(120), 1,
      sym_arguments,
  [1113] = 4,
    ACTIONS(289), 1,
      anon_sym_SQUOTE,
    ACTIONS(291), 1,
      aux_sym_string_token2,
    ACTIONS(293), 1,
      sym_escape,
    STATE(58), 1,
      aux_sym_string_repeat2,
  [1126] = 4,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    STATE(59), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1139] = 4,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(295), 1,
      anon_sym_RPAREN,
    ACTIONS(297), 1,
      sym__space,
    STATE(60), 1,
      aux_sym_arguments_repeat1,
  [1152] = 4,
    ACTIONS(62), 1,
      anon_sym_,
    STATE(7), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    STATE(39), 1,
      sym_slot_body,
  [1165] = 4,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    STATE(101), 1,
      sym_argument,
    STATE(107), 1,
      sym_string,
  [1178] = 4,
    ACTIONS(53), 1,
      anon_sym_,
    STATE(4), 1,
      sym__indent,
    STATE(5), 1,
      aux_sym_intent_body_repeat2,
    STATE(31), 1,
      sym_intent_body,
  [1191] = 2,
    ACTIONS(301), 1,
      aux_sym_word_token1,
    ACTIONS(299), 3,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1200] = 4,
    ACTIONS(62), 1,
      anon_sym_,
    STATE(7), 1,
      aux_sym_slot_body_repeat2,
    STATE(17), 1,
      sym__indent,
    STATE(40), 1,
      sym_slot_body,
  [1213] = 2,
    ACTIONS(305), 1,
      aux_sym_word_token1,
    ACTIONS(303), 3,
      anon_sym_AT_LBRACK,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1222] = 2,
    ACTIONS(190), 1,
      aux_sym_word_token1,
    ACTIONS(188), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [1231] = 2,
    ACTIONS(202), 1,
      aux_sym_word_token1,
    ACTIONS(200), 3,
      anon_sym_TILDE_LBRACK,
      sym__eol,
      sym__space,
  [1240] = 4,
    ACTIONS(289), 1,
      anon_sym_DQUOTE,
    ACTIONS(307), 1,
      aux_sym_string_token1,
    ACTIONS(309), 1,
      sym_escape,
    STATE(57), 1,
      aux_sym_string_repeat1,
  [1253] = 2,
    ACTIONS(305), 1,
      aux_sym_word_token1,
    ACTIONS(303), 2,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1261] = 1,
    ACTIONS(272), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1267] = 3,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      sym__eol,
    STATE(144), 1,
      sym_arguments,
  [1277] = 3,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    STATE(98), 1,
      sym_string,
  [1287] = 1,
    ACTIONS(313), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1293] = 3,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      sym__eol,
    STATE(124), 1,
      sym_arguments,
  [1303] = 3,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(243), 1,
      sym__eol,
    STATE(136), 1,
      sym_arguments,
  [1313] = 1,
    ACTIONS(317), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1319] = 1,
    ACTIONS(319), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1325] = 3,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(180), 1,
      anon_sym_SQUOTE,
    STATE(102), 1,
      sym_string,
  [1335] = 3,
    ACTIONS(283), 1,
      anon_sym_POUND,
    ACTIONS(321), 1,
      anon_sym_RBRACK,
    STATE(141), 1,
      sym_variation,
  [1345] = 1,
    ACTIONS(323), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1351] = 1,
    ACTIONS(325), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__space,
  [1357] = 3,
    ACTIONS(213), 1,
      anon_sym_LPAREN,
    ACTIONS(327), 1,
      sym__eol,
    STATE(128), 1,
      sym_arguments,
  [1367] = 2,
    ACTIONS(301), 1,
      aux_sym_word_token1,
    ACTIONS(299), 2,
      anon_sym_TILDE_LBRACK,
      sym__space,
  [1375] = 1,
    ACTIONS(329), 2,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [1380] = 2,
    ACTIONS(331), 1,
      sym__eol,
    ACTIONS(333), 1,
      sym__space,
  [1387] = 2,
    ACTIONS(335), 1,
      anon_sym_COLON,
    ACTIONS(337), 1,
      sym__space,
  [1394] = 2,
    ACTIONS(339), 1,
      anon_sym_COMMA,
    ACTIONS(341), 1,
      anon_sym_RPAREN,
  [1401] = 2,
    ACTIONS(233), 1,
      anon_sym_RPAREN,
    ACTIONS(339), 1,
      anon_sym_COMMA,
  [1408] = 2,
    ACTIONS(343), 1,
      anon_sym_RBRACK,
    ACTIONS(345), 1,
      anon_sym_QMARK,
  [1415] = 2,
    ACTIONS(347), 1,
      anon_sym_RBRACK,
    ACTIONS(349), 1,
      anon_sym_QMARK,
  [1422] = 2,
    ACTIONS(351), 1,
      anon_sym_RBRACK,
    ACTIONS(353), 1,
      anon_sym_PERCENT,
  [1429] = 2,
    ACTIONS(265), 1,
      anon_sym_RPAREN,
    ACTIONS(339), 1,
      anon_sym_COMMA,
  [1436] = 2,
    ACTIONS(355), 1,
      anon_sym_RBRACK,
    ACTIONS(357), 1,
      anon_sym_QMARK,
  [1443] = 2,
    ACTIONS(359), 1,
      anon_sym_RBRACK,
    ACTIONS(361), 1,
      anon_sym_PERCENT,
  [1450] = 1,
    ACTIONS(363), 1,
      sym__space,
  [1454] = 1,
    ACTIONS(365), 1,
      sym__eol,
  [1458] = 1,
    ACTIONS(339), 1,
      anon_sym_COMMA,
  [1462] = 1,
    ACTIONS(243), 1,
      sym__eol,
  [1466] = 1,
    ACTIONS(315), 1,
      sym__eol,
  [1470] = 1,
    ACTIONS(367), 1,
      anon_sym_COLON,
  [1474] = 1,
    ACTIONS(343), 1,
      anon_sym_RBRACK,
  [1478] = 1,
    ACTIONS(369), 1,
      aux_sym_intent_def_token1,
  [1482] = 1,
    ACTIONS(371), 1,
      sym__eol,
  [1486] = 1,
    ACTIONS(373), 1,
      anon_sym_RBRACK,
  [1490] = 1,
    ACTIONS(375), 1,
      aux_sym_slot_def_token1,
  [1494] = 1,
    ACTIONS(377), 1,
      anon_sym_RBRACK,
  [1498] = 1,
    ACTIONS(379), 1,
      sym__eol,
  [1502] = 1,
    ACTIONS(381), 1,
      anon_sym_RBRACK,
  [1506] = 1,
    ACTIONS(383), 1,
      aux_sym_import_token1,
  [1510] = 1,
    ACTIONS(385), 1,
      sym__eol,
  [1514] = 1,
    ACTIONS(387), 1,
      sym__eol,
  [1518] = 1,
    ACTIONS(311), 1,
      sym__eol,
  [1522] = 1,
    ACTIONS(389), 1,
      aux_sym_intent_def_token1,
  [1526] = 1,
    ACTIONS(391), 1,
      anon_sym_RBRACK,
  [1530] = 1,
    ACTIONS(327), 1,
      sym__eol,
  [1534] = 1,
    ACTIONS(393), 1,
      sym_number,
  [1538] = 1,
    ACTIONS(395), 1,
      ts_builtin_sym_end,
  [1542] = 1,
    ACTIONS(397), 1,
      aux_sym_intent_def_token1,
  [1546] = 1,
    ACTIONS(399), 1,
      anon_sym_RBRACK,
  [1550] = 1,
    ACTIONS(401), 1,
      anon_sym_RBRACK,
  [1554] = 1,
    ACTIONS(403), 1,
      sym__eol,
  [1558] = 1,
    ACTIONS(405), 1,
      sym__eol,
  [1562] = 1,
    ACTIONS(407), 1,
      sym__eol,
  [1566] = 1,
    ACTIONS(409), 1,
      sym__eol,
  [1570] = 1,
    ACTIONS(411), 1,
      aux_sym_slot_def_token1,
  [1574] = 1,
    ACTIONS(413), 1,
      anon_sym_RBRACK,
  [1578] = 1,
    ACTIONS(415), 1,
      anon_sym_RBRACK,
  [1582] = 1,
    ACTIONS(417), 1,
      aux_sym_intent_def_token1,
  [1586] = 1,
    ACTIONS(419), 1,
      sym_number,
  [1590] = 1,
    ACTIONS(421), 1,
      aux_sym_slot_def_token1,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 33,
  [SMALL_STATE(4)] = 66,
  [SMALL_STATE(5)] = 94,
  [SMALL_STATE(6)] = 113,
  [SMALL_STATE(7)] = 132,
  [SMALL_STATE(8)] = 151,
  [SMALL_STATE(9)] = 170,
  [SMALL_STATE(10)] = 195,
  [SMALL_STATE(11)] = 214,
  [SMALL_STATE(12)] = 239,
  [SMALL_STATE(13)] = 258,
  [SMALL_STATE(14)] = 283,
  [SMALL_STATE(15)] = 308,
  [SMALL_STATE(16)] = 330,
  [SMALL_STATE(17)] = 352,
  [SMALL_STATE(18)] = 376,
  [SMALL_STATE(19)] = 387,
  [SMALL_STATE(20)] = 408,
  [SMALL_STATE(21)] = 429,
  [SMALL_STATE(22)] = 440,
  [SMALL_STATE(23)] = 461,
  [SMALL_STATE(24)] = 472,
  [SMALL_STATE(25)] = 483,
  [SMALL_STATE(26)] = 494,
  [SMALL_STATE(27)] = 504,
  [SMALL_STATE(28)] = 514,
  [SMALL_STATE(29)] = 524,
  [SMALL_STATE(30)] = 534,
  [SMALL_STATE(31)] = 544,
  [SMALL_STATE(32)] = 554,
  [SMALL_STATE(33)] = 564,
  [SMALL_STATE(34)] = 574,
  [SMALL_STATE(35)] = 584,
  [SMALL_STATE(36)] = 594,
  [SMALL_STATE(37)] = 604,
  [SMALL_STATE(38)] = 622,
  [SMALL_STATE(39)] = 632,
  [SMALL_STATE(40)] = 642,
  [SMALL_STATE(41)] = 652,
  [SMALL_STATE(42)] = 665,
  [SMALL_STATE(43)] = 678,
  [SMALL_STATE(44)] = 694,
  [SMALL_STATE(45)] = 710,
  [SMALL_STATE(46)] = 726,
  [SMALL_STATE(47)] = 736,
  [SMALL_STATE(48)] = 746,
  [SMALL_STATE(49)] = 756,
  [SMALL_STATE(50)] = 766,
  [SMALL_STATE(51)] = 776,
  [SMALL_STATE(52)] = 788,
  [SMALL_STATE(53)] = 800,
  [SMALL_STATE(54)] = 813,
  [SMALL_STATE(55)] = 826,
  [SMALL_STATE(56)] = 839,
  [SMALL_STATE(57)] = 846,
  [SMALL_STATE(58)] = 859,
  [SMALL_STATE(59)] = 872,
  [SMALL_STATE(60)] = 885,
  [SMALL_STATE(61)] = 898,
  [SMALL_STATE(62)] = 911,
  [SMALL_STATE(63)] = 924,
  [SMALL_STATE(64)] = 937,
  [SMALL_STATE(65)] = 950,
  [SMALL_STATE(66)] = 963,
  [SMALL_STATE(67)] = 976,
  [SMALL_STATE(68)] = 989,
  [SMALL_STATE(69)] = 1002,
  [SMALL_STATE(70)] = 1009,
  [SMALL_STATE(71)] = 1022,
  [SMALL_STATE(72)] = 1035,
  [SMALL_STATE(73)] = 1048,
  [SMALL_STATE(74)] = 1061,
  [SMALL_STATE(75)] = 1074,
  [SMALL_STATE(76)] = 1087,
  [SMALL_STATE(77)] = 1100,
  [SMALL_STATE(78)] = 1113,
  [SMALL_STATE(79)] = 1126,
  [SMALL_STATE(80)] = 1139,
  [SMALL_STATE(81)] = 1152,
  [SMALL_STATE(82)] = 1165,
  [SMALL_STATE(83)] = 1178,
  [SMALL_STATE(84)] = 1191,
  [SMALL_STATE(85)] = 1200,
  [SMALL_STATE(86)] = 1213,
  [SMALL_STATE(87)] = 1222,
  [SMALL_STATE(88)] = 1231,
  [SMALL_STATE(89)] = 1240,
  [SMALL_STATE(90)] = 1253,
  [SMALL_STATE(91)] = 1261,
  [SMALL_STATE(92)] = 1267,
  [SMALL_STATE(93)] = 1277,
  [SMALL_STATE(94)] = 1287,
  [SMALL_STATE(95)] = 1293,
  [SMALL_STATE(96)] = 1303,
  [SMALL_STATE(97)] = 1313,
  [SMALL_STATE(98)] = 1319,
  [SMALL_STATE(99)] = 1325,
  [SMALL_STATE(100)] = 1335,
  [SMALL_STATE(101)] = 1345,
  [SMALL_STATE(102)] = 1351,
  [SMALL_STATE(103)] = 1357,
  [SMALL_STATE(104)] = 1367,
  [SMALL_STATE(105)] = 1375,
  [SMALL_STATE(106)] = 1380,
  [SMALL_STATE(107)] = 1387,
  [SMALL_STATE(108)] = 1394,
  [SMALL_STATE(109)] = 1401,
  [SMALL_STATE(110)] = 1408,
  [SMALL_STATE(111)] = 1415,
  [SMALL_STATE(112)] = 1422,
  [SMALL_STATE(113)] = 1429,
  [SMALL_STATE(114)] = 1436,
  [SMALL_STATE(115)] = 1443,
  [SMALL_STATE(116)] = 1450,
  [SMALL_STATE(117)] = 1454,
  [SMALL_STATE(118)] = 1458,
  [SMALL_STATE(119)] = 1462,
  [SMALL_STATE(120)] = 1466,
  [SMALL_STATE(121)] = 1470,
  [SMALL_STATE(122)] = 1474,
  [SMALL_STATE(123)] = 1478,
  [SMALL_STATE(124)] = 1482,
  [SMALL_STATE(125)] = 1486,
  [SMALL_STATE(126)] = 1490,
  [SMALL_STATE(127)] = 1494,
  [SMALL_STATE(128)] = 1498,
  [SMALL_STATE(129)] = 1502,
  [SMALL_STATE(130)] = 1506,
  [SMALL_STATE(131)] = 1510,
  [SMALL_STATE(132)] = 1514,
  [SMALL_STATE(133)] = 1518,
  [SMALL_STATE(134)] = 1522,
  [SMALL_STATE(135)] = 1526,
  [SMALL_STATE(136)] = 1530,
  [SMALL_STATE(137)] = 1534,
  [SMALL_STATE(138)] = 1538,
  [SMALL_STATE(139)] = 1542,
  [SMALL_STATE(140)] = 1546,
  [SMALL_STATE(141)] = 1550,
  [SMALL_STATE(142)] = 1554,
  [SMALL_STATE(143)] = 1558,
  [SMALL_STATE(144)] = 1562,
  [SMALL_STATE(145)] = 1566,
  [SMALL_STATE(146)] = 1570,
  [SMALL_STATE(147)] = 1574,
  [SMALL_STATE(148)] = 1578,
  [SMALL_STATE(149)] = 1582,
  [SMALL_STATE(150)] = 1586,
  [SMALL_STATE(151)] = 1590,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 0, 0, 0),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 1, 0, 0),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0),
  [23] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [26] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [29] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [32] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [35] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [38] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [51] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_body, 1, 0, 0),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 2, 0, 0),
  [57] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 2, 0, 0), SHIFT_REPEAT(4),
  [60] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_body, 1, 0, 0),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [64] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_body, 1, 0, 0),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [70] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [72] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 2, 0, 0),
  [74] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 2, 0, 0), SHIFT_REPEAT(17),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 2, 0, 0),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 2, 0, 0), SHIFT_REPEAT(15),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(42),
  [93] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat1, 2, 0, 0), SHIFT_REPEAT(13),
  [98] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 4, 0, 0),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat2, 3, 0, 0),
  [122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(51),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slot_body_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_body_repeat1, 3, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 3, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intent_body_repeat2, 4, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 7, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition, 1, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 7, 0, 2),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 6, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 6, 0, 2),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 5, 0, 3),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 0),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intent_def, 5, 0, 2),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_def, 5, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 7, 0, 3),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 8, 0, 3),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_def, 6, 0, 3),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_word, 1, 0, 0),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_ref, 3, 0, 0),
  [190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_ref, 3, 0, 0),
  [192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 3, 0, 3),
  [194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 3, 0, 3),
  [196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 4, 0, 3),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 4, 0, 3),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_ref, 4, 0, 0),
  [202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_ref, 4, 0, 0),
  [204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_ref, 5, 0, 3),
  [206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_ref, 5, 0, 3),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_word_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 4),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(71),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(71),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_probability, 3, 0, 0),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_probability, 3, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_probability, 4, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_probability, 4, 0, 0),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 5),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 3, 0, 0),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, 0, 6),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 4, 0, 0),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 5, 0, 7),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variation, 2, 0, 1),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 0),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [395] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_chatito(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
